Name:           gimp-lensfun
Version:        0.2.4
Release:        11%{?dist}
Summary:        Gimp plugin to correct lens distortion

License:        GPLv3+
URL:            http://seebk.github.io/GIMP-Lensfun/
Source0:        https://github.com/seebk/GIMP-Lensfun/archive/%{version}.tar.gz
Source1:	%{name}.metainfo.xml

BuildRequires:  gcc-c++
BuildRequires:  gimp-devel >= 2.0
BuildRequires:  exiv2-devel
BuildRequires:  lensfun-devel >= 0.3.2


%description
GimpLensfun is a Gimp plugin to correct lens distortion using the lensfun
library and database.


%prep
%setup -q -n GIMP-Lensfun-%{version}


%build
make %{?_smp_mflags} CXXFLAGS="%{optflags}"


%install
mkdir -p $RPM_BUILD_ROOT%{_libdir}/gimp/2.0/plug-ins
install -m 755 %{name} $RPM_BUILD_ROOT%{_libdir}/gimp/2.0/plug-ins
mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/appdata


%files
%doc LICENSE.txt CHANGES.txt README.txt
%{_libdir}/gimp/2.0/plug-ins/%{name}
%{_datadir}/appdata/%{name}.metainfo.xml


%changelog
* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Jan 30 2019 Rex Dieter <rdieter@fedoraproject.org> - 0.2.4-10
- rebuild (exiv2)

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue May 02 2017 Rex Dieter <rdieter@fedoraproject.org> - 0.2.4-5
- rebuild (exiv2)

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Mar 11 2016 Graham White <graham_alton@hotmail.com> - 0.2.4-3
- Fix bug #1316721, thanks to Jiri Eischmann
- AppStream metadata file has been added to the package

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jan 11 2016 Graham White <graham_alton@hotmail.com> - 0.2.4-1
- new upstream release
- Lensfun version 0.3.2 is required
- basic support for non interactive mode
- avoid crash when camera or lens is not found in the database
- support for makers which are not in the pre-defined list

* Sun Jan 03 2016 Rex Dieter <rdieter@fedoraproject.org> 0.2.3-4
- rebuild (lensfun)

* Thu Jun 25 2015 Rex Dieter <rdieter@fedoraproject.org> 0.2.3-3
- rebuild (exiv2)

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jun 16 2015 Graham White <graham_alton@hotmail.com> - 0.2.3-1
- rebuild for F22
- include upstream commit for newer lensfun patch
- clean up spec file for passing Fedora package review

* Thu May 23 2013 Graham White <graham_alton@hotmail.com> - 0.2.3-1
- version bump to 0.2.3
- add optflags macro to the build
- change URL and source to point to new web site

* Fri Feb 08 2013 Graham White <graham_alton@hotmail.com> - 0.2.2-1
- update version and build for F18

* Sat May 26 2012 Graham White <graham_alton@hotmail.com> - 0.2.1-1
- first build, for F17
